## cipux-task 3.4.0.7

=== debian/changelog ===
cipux-task (3.4.0.7-4build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:26:01 +0100

cipux-task (3.4.0.7-4) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 11:41:49 +0200

cipux-task (3.4.0.7-3) unstable; urgency=low

  * Fix include config defaults.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jun 2010 01:03:21 +0200

cipux-task (3.4.0.7-2) unstable; urgency=low

  [ Xavier Oswald ]
  * Update my mail address

  [ Jonas Smedegaard ]
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Update copyright file to reflect no longer shipped forked CDBS
    snippets: update years; drop Colin Walters as owner.
  * Declare package relations recursively expanded.
  * Tighten build-dependency on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Apr 2010 10:25:32 +0200

cipux-task (3.4.0.7-1) unstable; urgency=low

  * New upstream release.
  * Update local CDBS snippets:
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + perl-build.mk:
      - Relax build-dependency on perl to be unversioned (see bug#525190
        and perl policy 3.8.3).
  * Build unversioned on cdbs and perl, thanks to CDBS dependency
    tracking.
  * Bump Standards-Version to 3.8.4.
  * Refer to FSF website (not postal address) in licensing headers of
    Debian packaging files.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Bump some coyright years.
    + Fix include disclaimer in GPL-2+ section of copyright.
    + Add reference to FSF website.
  * Use source format '3.0 "quilt"'.
  * Stop conditionally enabling DEB_AUTO_UPDATE_DEBIAN_CONTROL (adopted
    upstream since CDBS 0.4.67), to not bogusly upset lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Feb 2010 00:09:50 +0100

cipux-task (3.4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Oct 2009 15:50:17 +0200

cipux-task (3.4.0.5-1) unstable; urgency=low

  * New upstream release.
  * Include sample script with -tools package.
  * Update debian/copyright to include sample script (new owner, same
    license).
  * Tighten build-dependency on libcipux-object-perl to versions not
    failing its testsuite. Closes: bug#537090, #537096.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Extend package-relation cleanup to include debhelper 6 and 7.0.1.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
    + Update package-relations.mk: Cleanup unversioned+versioned
      dependency mix. Improve whitespace cleanup. Rewrite and silence
      applying dependencies.
  * Reformat debian/copyright to conform to proposal DEP5 rev. 54.
  * Bump up standards-version to 3.8.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Sep 2009 16:47:32 +0200

cipux-task (3.4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Build-depend on libtest-leaktrace-perl.
  * Fix typo in README.source.
  * Extend local CDBS snippet package-relations.mk to support all kinds
    of dependencies.
  * Handle all dependencies in debian/control.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 May 2009 16:35:12 +0200

cipux-task (3.4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add README.source.  Drop custom hints about CDBS.
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Add local CDBS snippet upstream-tarball.mk.
  * Bump standards-version to 3.8.1.
  * Enable CDBS snippet upstream-tarball.mk to ease pulling new upstream
    tarbals.
  * Add watch file.
  * Update copuright and licensing info:
    + Add proper copyright header to debian/rules.
    + Update copyright years (extend to include 2009)
    + Add verbatim copyright statement
    + Merge entries with same owner and license (only years differing)
    + update copyright-hints
  * Update (build)-dependencies:
    + Tighten (build-)dependencies on libmodule-build-cipux-perl,
    libcipux-perl, libcipux-object-perl and libcipux-storage-perl
    + Depend and build-depend on libfile-spec-perl and
    libtest-refcount-perl

