=== debian/control ===
Source: cipux-task
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Christian Kuelker <christian.kuelker@cipworx.org>,
 Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libclass-std-perl,
 libcipux-perl (>= 3.4.0.0),
 libcipux-object-perl (>= 3.4.0.2),
 libcipux-storage-perl (>= 3.4.0.0),
 liblog-log4perl-perl,
 libterm-readkey-perl,
 libreadonly-perl,
 libmodule-build-cipux-perl (>= 0.3.0),
 libfile-spec-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libtest-leaktrace-perl,
 libtest-refcount-perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-task.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-task.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-task-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: cipux-task-tools
Description: task library for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::Task, providing task routines for use on
 command line as well as through the XML-RPC server.

Package: cipux-task-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Description: commandline task interface for CipUX
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains a commandline task tool for CipuX.
